=== debian/changelog ===
libktorrent (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)
  * Update symbols, NOTE: this was a very tricky symbols update; apparently some
    leaked symbols triggered the pkgkde-symbolshelper type substitution, which
    replaced some 'm' with '{size_t}', then, this also confused dpkg-gensymbols
    which didn't recognize the substitutions, complaining continuously that
    they were new symbols. As a workaround for this situation, I added the
    symbols in question manually, removing the '{size_t}' substitution.
  * Add doxygen to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:47 +0100

libktorrent (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:31 +0100

libktorrent (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:03 +0100

libktorrent (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 19:19:41 +0100

libktorrent (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:51 +0100

libktorrent (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:16 +0100

libktorrent (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:41 +0100
