=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -23,8 +24,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
 
 Package: libkf5torrent6abi1
 X-Debian-ABI: 1
