=== src/util/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(circularbuffertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
if(NOT MSVC)
ecm_add_test(signalcatchertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
endif(NOT MSVC)
ecm_add_test(resourcemanagertest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(fileopstest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
ecm_add_test(bufferpooltest.cpp LINK_LIBRARIES KF5::Torrent Qt::Test)
