=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -18,21 +19,21 @@
                libkf5solid-dev (>= 5.85~),
                libqca-qt5-2-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.16),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
 
-Package: libkf5torrent6abi3
-X-Debian-ABI: 3
+Package: libkf5torrent6abi1
+X-Debian-ABI: 1
 X-CMake-Target: KF5Torrent
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: libktorrent-l10n (>= ${source:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libktorrent-l10n (>= ${source:Version})
 Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).
@@ -49,7 +50,7 @@
 Depends: libboost-dev (>= 1.71.0~),
          libgcrypt20-dev (>= 1.4.5~),
          libgmp-dev,
-         libkf5torrent6abi3 (= ${binary:Version}),
+         libkf5torrent6abi1 (= ${binary:Version}),
          ${misc:Depends},
          ${sameVersionDep:libkf5archive-dev},
          ${sameVersionDep:libkf5config-dev},
@@ -65,7 +66,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).
